<template>
  <view class="content">
    <view class="text-area">
      <text class="title">跳转中。。</text>
    </view>
  </view>
</template>

<script>
import { getToken, setToken, removeToken } from '@/utils/auth'
  export default {
    onLoad: function(opt) {
      let token = opt.token;

      if(token){
        let deptNum = opt.deptId;
        setToken(token)
        uni.reLaunch({
          url: '/pages/device/index?deptId='+deptNum
        });
      }
    }
  }
</script>

<style>
  .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .logo {
    height: 200rpx;
    width: 200rpx;
    margin-top: 200rpx;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50rpx;
  }

  .text-area {
    display: flex;
    justify-content: center;
  }

  .title {
    font-size: 36rpx;
    color: #8f8f94;
  }
</style>
